Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class CurrentItemExpression

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.ContextItemExpression
              net.sf.saxon.expr.CurrentItemExpression

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, SaxonLocator, InstructionInfo, Locator

    public class CurrentItemExpression

extends ContextItemExpression

The expression is generated when compiling the current() function in XSLT. It differs from the ContextItemExpression "." only in the error code that is returned when there is no context item.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EFFECTIVE_BOOLEAN_VALUE, EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, locationId, MAX_SEQUENCE_LENGTH, MAX_STRING_LENGTH, PROCESS_METHOD, PUSH_SELECTION, staticProperties, UNBOUNDED_LOWER, UNBOUNDED_UPPER, WATCH_METHOD`

Constructor Summary
`CurrentItemExpression()`

Method Summary
`protected String` | `getErrorCodeForUndefinedContext()` Get the error code for use when there is no context item

Methods inherited from class net.sf.saxon.expr.ContextItemExpression
`addToPathMap, computeCardinality, computeSpecialProperties, copy, equals, evaluateItem, explain, getExpressionName, getIntrinsicDependencies, getItemType, hashCode, isContextPossiblyUndefined, isSubtreeExpression, iterate, optimize, toString, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression
`adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, dynamicError, effectiveBooleanValue, evaluateAsString, evaluatePendingUpdates, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getDependencies, getEvaluationMethod, getExecutable, getHostLanguage, getImplementationMethod, getIntegerBounds, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, hasVariableBinding, implementsStaticTypeCheck, isUpdatingExpression, isVacuousExpression, iterateEvents, iterateSameFocusSubExpressions, iterateSubExpressions, markTailFunctionCalls, process, promote, replaceSubExpression, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, simplify, staticTypeCheck, suppressValidation, typeError`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CurrentItemExpression

    public CurrentItemExpression()

Method Detail

### getErrorCodeForUndefinedContext

    protected String getErrorCodeForUndefinedContext()

  Get the error code for use when there is no context item

  Overrides:
    `getErrorCodeForUndefinedContext` in class `ContextItemExpression`
  Returns:
    the string "XTDE1360"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.